NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::FaceBlendBuilder Class Reference

Represents a face blend builder. More...

Inheritance diagram for NXOpen::Features::FaceBlendBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CrossSectionOption {
  CrossSectionOptionCircular, CrossSectionOptionConic, CrossSectionOptionConicSymmetric, CrossSectionOptionCurvatureSymmetric,
  CrossSectionOptionCurvatureAsymmetric
}
 This enum represents the Cross section types. More...
 
enum  DefiningType { DefiningTypeBlendTwoFace, DefiningTypeBlendThreeFace, DefiningTypeBlendFromEdges }
 This enum represents the Face Blend defining type, it is added in NX75 for new three face blend. More...
 
enum  OverflowMethod { OverflowMethodNone, OverflowMethodNotch }
 This enum represents the overflow options. More...
 
enum  RhoMethod { RhoMethodAbsolute, RhoMethodRelative }
 This enum represents the rho types. More...
 
enum  TrimmingMethod { TrimmingMethodToAllFaces, TrimmingMethodShort, TrimmingMethodLong, TrimmingMethodNone }
 This enum represents the Trimming options for Face Blend. More...
 
enum  Type { TypeRollingBall, TypeSwept }
 This enum represents the Face Blend types. More...
 
enum  WidthMethod { WidthMethodNaturallyVarying, WidthMethodForcedConstant, WidthMethodTwoConstraintCurves }
 This enum represents the Face Blend width method, it is added in NX10 for two face blend. More...
 

Public Member Functions

bool AddTangentFaces ()
 Returns the option for Add Tangent Faces As Encountered. More...
 
NXOpen::Features::FaceBlendBuilder::Type BlendType ()
 Returns the type for face blend. More...
 
NXOpen::Features::FaceBlendBuilder::WidthMethod BlendWidthMethod ()
 Returns the width method for face blend. More...
 
NXOpen::GeometricUtilities::CircularCrossSectionCircularCrossSection ()
 Returns the face blend circular section. More...
 
bool CliffProjectOntoSecondWall ()
 Returns the cliff projection option for face blend. More...
 
NXOpen::ScCollectorCoincidentEdgeCollector ()
 Returns the cliff edge collector for face blend. More...
 
NXOpen::GeometricUtilities::ConicCrossSectionConicCrossSection ()
 Returns the face blend conic section. More...
 
NXOpen::Features::FaceBlendBuilder::CrossSectionOption CrossSectionType ()
 Returns the cross section for face blend. More...
 
NXOpen::ScCollectorEdgeChainCollector ()
 Returns the edge chain collector. More...
 
bool EndCapLimitPlaneOption ()
 Returns the end limit plane capping option
Created in NX5.0.0. More...
 
bool EndLimitFaceNormalFlag ()
 Returns the end limiting face normal flag
Created in NX5.0.0. More...
 
NXOpen::ScCollectorEndLimitFacesetCollector ()
 Returns the end limit faceset collector. More...
 
NXOpen::PointEndLimitPoint ()
 Returns the end limit point
Created in NX5.0.0. More...
 
NXOpen::Features::FaceBlendBuilder::DefiningType FaceBlendDefineType ()
 Returns the face blend defining type get. More...
 
NXOpen::ScCollectorFirstFaceCollector ()
 Returns the first face collector. More...
 
void GetLimitPlanes (NXOpen::Plane **startLimitPlane, NXOpen::Plane **endLimitPlane)
 This function is to get limit planes for a face blend feature. More...
 
NXOpen::PointHelpPoint ()
 Returns the face blend help point. More...
 
bool IsIsoparameterLineOriented ()
 Returns the option for Orient Cross Section By Isoparameter Lines for Swept section type only. More...
 
NXOpen::GeometricUtilities::BlendLimitsDataLimitsListData ()
 Returns the trim object collector list. More...
 
NXOpen::ScCollectorMiddleFaceCollector ()
 Returns the middle face collector get. More...
 
bool MiddleFaceNormFlag ()
 Returns the middle face set normal reversal flag. More...
 
NXOpen::Features::FaceBlendBuilder::OverflowMethod OverflowOption ()
 Returns the overflow option for face blend. More...
 
bool ProjectToSecondWall ()
 Returns the projection option for face blend. More...
 
bool PropagatePastSharpEdges ()
 Returns the propagate past the sharp edges option for face blend. More...
 
double PropagationAngle ()
 Returns the propagation angle for face blend. More...
 
bool RemoveSelfIntersections ()
 Returns the self-intersections option for face blend. More...
 
bool ReverseFirstFaceNormal ()
 Returns the first face set normal reversal flag. More...
 
bool ReverseSecondFaceNormal ()
 Returns the second face set normal reversal flag. More...
 
bool ReverseThirdFaceNormal ()
 Returns the third face set normal reversal flag. More...
 
NXOpen::Features::FaceBlendBuilder::RhoMethod RhoType ()
 Returns the rho type for face blend. More...
 
NXOpen::ScCollectorSecondFaceCollector ()
 Returns the second face collector. More...
 
void SetAddTangentFaces (bool option)
 Sets the option for Add Tangent Faces As Encountered. More...
 
void SetBlendType (NXOpen::Features::FaceBlendBuilder::Type type)
 Sets the type for face blend. More...
 
void SetBlendWidthMethod (NXOpen::Features::FaceBlendBuilder::WidthMethod method)
 Sets the width method for face blend. More...
 
void SetCliffProjectOntoSecondWall (bool projectOntoSecondWall)
 Sets the cliff projection option for face blend. More...
 
void SetCoincidentEdgeCollector (NXOpen::ScCollector *collector)
 Sets the cliff edge collector for face blend. More...
 
void SetCrossSectionType (NXOpen::Features::FaceBlendBuilder::CrossSectionOption type)
 Sets the cross section for face blend. More...
 
void SetEdgeChainCollector (NXOpen::ScCollector *collector)
 Sets the edge chain collector. More...
 
void SetEndCapLimitPlaneOption (bool option)
 Sets the end limit plane capping option
Created in NX5.0.0. More...
 
void SetEndLimitFaceNormalFlag (bool flipFlag)
 Sets the end limiting face normal flag
Created in NX5.0.0. More...
 
void SetEndLimitFacesetCollector (NXOpen::ScCollector *collector)
 Sets the end limit faceset collector. More...
 
void SetEndLimitPoint (NXOpen::Point *point)
 Sets the end limit point
Created in NX5.0.0. More...
 
void SetFaceBlendDefineType (NXOpen::Features::FaceBlendBuilder::DefiningType type)
 Sets the face blend defining type get. More...
 
void SetFirstFaceCollector (NXOpen::ScCollector *collector)
 Sets the first face collector. More...
 
void SetHelpPoint (NXOpen::Point *helpPoint)
 Sets the face blend help point. More...
 
void SetIsoparameterLineOriented (bool option)
 Sets the option for Orient Cross Section By Isoparameter Lines for Swept section type only. More...
 
void SetLimitPlanes (NXOpen::Plane *startLimitPlane, NXOpen::Plane *endLimitPlane)
 This function is to set limit planes for a face blend feature. More...
 
void SetMiddleFaceCollector (NXOpen::ScCollector *collector)
 Sets the middle face collector get. More...
 
void SetMiddleFaceNormFlag (bool flipFlag)
 Sets the middle face set normal reversal flag. More...
 
void SetOverflowOption (NXOpen::Features::FaceBlendBuilder::OverflowMethod option)
 Sets the overflow option for face blend. More...
 
void SetProjectToSecondWall (bool projectToSecondWall)
 Sets the projection option for face blend. More...
 
void SetPropagatePastSharpEdges (bool option)
 Sets the propagate past the sharp edges option for face blend. More...
 
void SetPropagationAngle (double propagationAngle)
 Sets the propagation angle for face blend. More...
 
void SetRemoveSelfIntersections (bool option)
 Sets the self-intersections option for face blend. More...
 
void SetReverseFirstFaceNormal (bool flipFlag)
 Sets the first face set normal reversal flag. More...
 
void SetReverseSecondFaceNormal (bool flipFlag)
 Sets the second face set normal reversal flag. More...
 
void SetReverseThirdFaceNormal (bool flipFlag)
 Sets the third face set normal reversal flag. More...
 
void SetRhoType (NXOpen::Features::FaceBlendBuilder::RhoMethod rhoMethod)
 Sets the rho type for face blend. More...
 
void SetSecondFaceCollector (NXOpen::ScCollector *collector)
 Sets the second face collector. More...
 
void SetSewAllFaces (bool sewOption)
 Sets the sew option for face blend. More...
 
void SetSpine (NXOpen::Section *spine)
 Sets the spine for face blend. More...
 
void SetStartCapLimitPlaneOption (bool option)
 Sets the start limit plane capping option
Created in NX5.0.0. More...
 
void SetStartLimitFaceNormalFlag (bool flipFlag)
 Sets the start limiting face normal flag
Created in NX5.0.0. More...
 
void SetStartLimitFacesetCollector (NXOpen::ScCollector *collector)
 Sets the start limit faceset collector. More...
 
void SetStartLimitPoint (NXOpen::Point *point)
 Sets the start limit point
Created in NX5.0.0. More...
 
void SetTangencyCollector (NXOpen::ScCollector *collector)
 Sets the tangency collector of edges or/and curves for face blend. More...
 
void SetTangentSurface (NXOpen::ISurface *object)
 Sets the tangency object for face blend. More...
 
void SetThirdFaceEndParameter (double range)
 Sets the end paramater or 'to' range for the third face with a three-face blend. More...
 
void SetThirdFaceStartParameter (double range)
 Sets the start parameter or 'from' range for the third face with a three-face blend. More...
 
void SetTolerance (double tolerance)
 Sets the tolerance for face blend. More...
 
void SetTrimInputFacesToBlendFaces (bool trimInputFacesToBlendFaces)
 Sets the option for Trim Input Faces to Blend Faces. More...
 
void SetTrimLongInputFacesToExtendedRail (bool trimLongInputFacesToExtendedRail)
 Sets the option for Trim Long Input Faces to Extended Rail. More...
 
void SetTrimmingOption (NXOpen::Features::FaceBlendBuilder::TrimmingMethod trimmingOption)
 Sets the trimming option for face blend. More...
 
void SetUseLimitsListFlag (bool useLimitsListFlag)
 Sets the trimming option that if it is using limits list to do trim or not. More...
 
bool SewAllFaces ()
 Returns the sew option for face blend. More...
 
NXOpen::SectionSpine ()
 Returns the spine for face blend. More...
 
bool StartCapLimitPlaneOption ()
 Returns the start limit plane capping option
Created in NX5.0.0. More...
 
bool StartLimitFaceNormalFlag ()
 Returns the start limiting face normal flag
Created in NX5.0.0. More...
 
NXOpen::ScCollectorStartLimitFacesetCollector ()
 Returns the start limit faceset collector. More...
 
NXOpen::PointStartLimitPoint ()
 Returns the start limit point
Created in NX5.0.0. More...
 
NXOpen::ScCollectorTangencyCollector ()
 Returns the tangency collector of edges or/and curves for face blend. More...
 
NXOpen::ISurfaceTangentSurface ()
 Returns the tangency object for face blend. More...
 
double ThirdFaceEndParameter ()
 Returns the end paramater or 'to' range for the third face with a three-face blend. More...
 
double ThirdFaceStartParameter ()
 Returns the start parameter or 'from' range for the third face with a three-face blend. More...
 
double Tolerance ()
 Returns the tolerance for face blend. More...
 
bool TrimInputFacesToBlendFaces ()
 Returns the option for Trim Input Faces to Blend Faces. More...
 
bool TrimLongInputFacesToExtendedRail ()
 Returns the option for Trim Long Input Faces to Extended Rail. More...
 
NXOpen::Features::FaceBlendBuilder::TrimmingMethod TrimmingOption ()
 Returns the trimming option for face blend. More...
 
void UpdateConstantLawProfiles ()
 Updates all the constant law parms in the builder using builder section. More...
 
bool UseLimitsListFlag ()
 Returns the trimming option that if it is using limits list to do trim or not. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a face blend builder.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateFaceBlendBuilder
Default values.

Property Value

CircularCrossSection.LawControl.Function

ft

CircularCrossSection.LawControl.LawType

Constant

CircularCrossSection.LawControl.Parameter

t


Created in NX4.0.0.

Member Enumeration Documentation

This enum represents the Cross section types.

Enumerator
CrossSectionOptionCircular 

circular

CrossSectionOptionConic 

this means tangent continuous asymmetric conic type

CrossSectionOptionConicSymmetric 

this means tangent continuous symmetric conic type

CrossSectionOptionCurvatureSymmetric 

this means curvature continuous symmetric conic type

CrossSectionOptionCurvatureAsymmetric 

this means curvature continuous asymmetric conic type

This enum represents the Face Blend defining type, it is added in NX75 for new three face blend.

Enumerator
DefiningTypeBlendTwoFace 

this is for normal two face blend

DefiningTypeBlendThreeFace 

this is form new three face blend

DefiningTypeBlendFromEdges 

blend from edges

This enum represents the overflow options.

Enumerator
OverflowMethodNone 

No overflow option.

OverflowMethodNotch 

Notch or Maintain Blend And Move Sharp Edges option.

This enum represents the rho types.

Enumerator
RhoMethodAbsolute 

Absolute (NX) rho type.

RhoMethodRelative 

Relative (I-deas) rho type.

This enum represents the Trimming options for Face Blend.

Enumerator
TrimmingMethodToAllFaces 

Trim to all faces.

TrimmingMethodShort 

Trim short.

TrimmingMethodLong 

Trim long.

TrimmingMethodNone 

No trim.

This enum represents the Face Blend types.

Enumerator
TypeRollingBall 

rolling ball

TypeSwept 

swept

This enum represents the Face Blend width method, it is added in NX10 for two face blend.

Enumerator
WidthMethodNaturallyVarying 

Naturally Varying.

WidthMethodForcedConstant 

Forced Constant.

WidthMethodTwoConstraintCurves 

Two Constraint Curves.

Member Function Documentation

bool NXOpen::Features::FaceBlendBuilder::AddTangentFaces ( )

Returns the option for Add Tangent Faces As Encountered.


Created in NX4.0.0.

License requirements : None

NXOpen::Features::FaceBlendBuilder::Type NXOpen::Features::FaceBlendBuilder::BlendType ( )

Returns the type for face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::Features::FaceBlendBuilder::WidthMethod NXOpen::Features::FaceBlendBuilder::BlendWidthMethod ( )

Returns the width method for face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::GeometricUtilities::CircularCrossSection* NXOpen::Features::FaceBlendBuilder::CircularCrossSection ( )

Returns the face blend circular section.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::CliffProjectOntoSecondWall ( )

Returns the cliff projection option for face blend.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::CoincidentEdgeCollector ( )

Returns the cliff edge collector for face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::GeometricUtilities::ConicCrossSection* NXOpen::Features::FaceBlendBuilder::ConicCrossSection ( )

Returns the face blend conic section.


Created in NX4.0.0.

License requirements : None

NXOpen::Features::FaceBlendBuilder::CrossSectionOption NXOpen::Features::FaceBlendBuilder::CrossSectionType ( )

Returns the cross section for face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::EdgeChainCollector ( )

Returns the edge chain collector.


Created in NX11.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::EndCapLimitPlaneOption ( )

Returns the end limit plane capping option
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::FaceBlendBuilder::EndLimitFaceNormalFlag ( )

Returns the end limiting face normal flag
Created in NX5.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::EndLimitFacesetCollector ( )

Returns the end limit faceset collector.


Created in NX5.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::FaceBlendBuilder::EndLimitPoint ( )

Returns the end limit point
Created in NX5.0.0.



License requirements : None

NXOpen::Features::FaceBlendBuilder::DefiningType NXOpen::Features::FaceBlendBuilder::FaceBlendDefineType ( )

Returns the face blend defining type get.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::FirstFaceCollector ( )

Returns the first face collector.


Created in NX4.0.0.

License requirements : None

void NXOpen::Features::FaceBlendBuilder::GetLimitPlanes ( NXOpen::Plane **  startLimitPlane,
NXOpen::Plane **  endLimitPlane 
)

This function is to get limit planes for a face blend feature.


Created in NX4.0.0.

License requirements : None

Parameters
startLimitPlaneStart limit plane
endLimitPlaneEnd limit plane
NXOpen::Point* NXOpen::Features::FaceBlendBuilder::HelpPoint ( )

Returns the face blend help point.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::IsIsoparameterLineOriented ( )

Returns the option for Orient Cross Section By Isoparameter Lines for Swept section type only.


Created in NX4.0.0.

License requirements : None

NXOpen::GeometricUtilities::BlendLimitsData* NXOpen::Features::FaceBlendBuilder::LimitsListData ( )

Returns the trim object collector list.


Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::MiddleFaceCollector ( )

Returns the middle face collector get.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::MiddleFaceNormFlag ( )

Returns the middle face set normal reversal flag.


Created in NX7.5.0.

License requirements : None

NXOpen::Features::FaceBlendBuilder::OverflowMethod NXOpen::Features::FaceBlendBuilder::OverflowOption ( )

Returns the overflow option for face blend.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::ProjectToSecondWall ( )

Returns the projection option for face blend.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::PropagatePastSharpEdges ( )

Returns the propagate past the sharp edges option for face blend.


Created in NX5.0.0.

License requirements : None

double NXOpen::Features::FaceBlendBuilder::PropagationAngle ( )

Returns the propagation angle for face blend.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::RemoveSelfIntersections ( )

Returns the self-intersections option for face blend.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::ReverseFirstFaceNormal ( )

Returns the first face set normal reversal flag.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::ReverseSecondFaceNormal ( )

Returns the second face set normal reversal flag.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::ReverseThirdFaceNormal ( )

Returns the third face set normal reversal flag.


Created in NX4.0.0.

License requirements : None

NXOpen::Features::FaceBlendBuilder::RhoMethod NXOpen::Features::FaceBlendBuilder::RhoType ( )

Returns the rho type for face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::SecondFaceCollector ( )

Returns the second face collector.


Created in NX4.0.0.

License requirements : None

void NXOpen::Features::FaceBlendBuilder::SetAddTangentFaces ( bool  option)

Sets the option for Add Tangent Faces As Encountered.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionoption
void NXOpen::Features::FaceBlendBuilder::SetBlendType ( NXOpen::Features::FaceBlendBuilder::Type  type)

Sets the type for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
typetype
void NXOpen::Features::FaceBlendBuilder::SetBlendWidthMethod ( NXOpen::Features::FaceBlendBuilder::WidthMethod  method)

Sets the width method for face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
methodmethod
void NXOpen::Features::FaceBlendBuilder::SetCliffProjectOntoSecondWall ( bool  projectOntoSecondWall)

Sets the cliff projection option for face blend.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
projectOntoSecondWallproject onto second wall
void NXOpen::Features::FaceBlendBuilder::SetCoincidentEdgeCollector ( NXOpen::ScCollector collector)

Sets the cliff edge collector for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::Features::FaceBlendBuilder::SetCrossSectionType ( NXOpen::Features::FaceBlendBuilder::CrossSectionOption  type)

Sets the cross section for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
typetype
void NXOpen::Features::FaceBlendBuilder::SetEdgeChainCollector ( NXOpen::ScCollector collector)

Sets the edge chain collector.


Created in NX11.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::Features::FaceBlendBuilder::SetEndCapLimitPlaneOption ( bool  option)

Sets the end limit plane capping option
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionoption
void NXOpen::Features::FaceBlendBuilder::SetEndLimitFaceNormalFlag ( bool  flipFlag)

Sets the end limiting face normal flag
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
flipFlagflip flag
void NXOpen::Features::FaceBlendBuilder::SetEndLimitFacesetCollector ( NXOpen::ScCollector collector)

Sets the end limit faceset collector.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::Features::FaceBlendBuilder::SetEndLimitPoint ( NXOpen::Point point)

Sets the end limit point
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
pointpoint
void NXOpen::Features::FaceBlendBuilder::SetFaceBlendDefineType ( NXOpen::Features::FaceBlendBuilder::DefiningType  type)

Sets the face blend defining type get.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
typetype
void NXOpen::Features::FaceBlendBuilder::SetFirstFaceCollector ( NXOpen::ScCollector collector)

Sets the first face collector.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::Features::FaceBlendBuilder::SetHelpPoint ( NXOpen::Point helpPoint)

Sets the face blend help point.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
helpPointhelp point
void NXOpen::Features::FaceBlendBuilder::SetIsoparameterLineOriented ( bool  option)

Sets the option for Orient Cross Section By Isoparameter Lines for Swept section type only.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionoption
void NXOpen::Features::FaceBlendBuilder::SetLimitPlanes ( NXOpen::Plane startLimitPlane,
NXOpen::Plane endLimitPlane 
)

This function is to set limit planes for a face blend feature.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
startLimitPlaneStart limit plane
endLimitPlaneEnd limit plane
void NXOpen::Features::FaceBlendBuilder::SetMiddleFaceCollector ( NXOpen::ScCollector collector)

Sets the middle face collector get.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::Features::FaceBlendBuilder::SetMiddleFaceNormFlag ( bool  flipFlag)

Sets the middle face set normal reversal flag.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
flipFlagflip flag
void NXOpen::Features::FaceBlendBuilder::SetOverflowOption ( NXOpen::Features::FaceBlendBuilder::OverflowMethod  option)

Sets the overflow option for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionoption
void NXOpen::Features::FaceBlendBuilder::SetProjectToSecondWall ( bool  projectToSecondWall)

Sets the projection option for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
projectToSecondWallproject to second wall
void NXOpen::Features::FaceBlendBuilder::SetPropagatePastSharpEdges ( bool  option)

Sets the propagate past the sharp edges option for face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionoption
void NXOpen::Features::FaceBlendBuilder::SetPropagationAngle ( double  propagationAngle)

Sets the propagation angle for face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
propagationAnglepropagation angle
void NXOpen::Features::FaceBlendBuilder::SetRemoveSelfIntersections ( bool  option)

Sets the self-intersections option for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionoption
void NXOpen::Features::FaceBlendBuilder::SetReverseFirstFaceNormal ( bool  flipFlag)

Sets the first face set normal reversal flag.


Created in NX4.0.0.

License requirements : None

Parameters
flipFlagflip flag
void NXOpen::Features::FaceBlendBuilder::SetReverseSecondFaceNormal ( bool  flipFlag)

Sets the second face set normal reversal flag.


Created in NX4.0.0.

License requirements : None

Parameters
flipFlagflip flag
void NXOpen::Features::FaceBlendBuilder::SetReverseThirdFaceNormal ( bool  flipFlag)

Sets the third face set normal reversal flag.


Created in NX4.0.0.

License requirements : None

Parameters
flipFlagflip flag
void NXOpen::Features::FaceBlendBuilder::SetRhoType ( NXOpen::Features::FaceBlendBuilder::RhoMethod  rhoMethod)

Sets the rho type for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
rhoMethodrho method
void NXOpen::Features::FaceBlendBuilder::SetSecondFaceCollector ( NXOpen::ScCollector collector)

Sets the second face collector.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::Features::FaceBlendBuilder::SetSewAllFaces ( bool  sewOption)

Sets the sew option for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
sewOptionsew option
void NXOpen::Features::FaceBlendBuilder::SetSpine ( NXOpen::Section spine)

Sets the spine for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
spinespine
void NXOpen::Features::FaceBlendBuilder::SetStartCapLimitPlaneOption ( bool  option)

Sets the start limit plane capping option
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionoption
void NXOpen::Features::FaceBlendBuilder::SetStartLimitFaceNormalFlag ( bool  flipFlag)

Sets the start limiting face normal flag
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
flipFlagflip flag
void NXOpen::Features::FaceBlendBuilder::SetStartLimitFacesetCollector ( NXOpen::ScCollector collector)

Sets the start limit faceset collector.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::Features::FaceBlendBuilder::SetStartLimitPoint ( NXOpen::Point point)

Sets the start limit point
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
pointpoint
void NXOpen::Features::FaceBlendBuilder::SetTangencyCollector ( NXOpen::ScCollector collector)

Sets the tangency collector of edges or/and curves for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::Features::FaceBlendBuilder::SetTangentSurface ( NXOpen::ISurface object)

Sets the tangency object for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
objectobject
void NXOpen::Features::FaceBlendBuilder::SetThirdFaceEndParameter ( double  range)

Sets the end paramater or 'to' range for the third face with a three-face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
rangerange
void NXOpen::Features::FaceBlendBuilder::SetThirdFaceStartParameter ( double  range)

Sets the start parameter or 'from' range for the third face with a three-face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
rangerange
void NXOpen::Features::FaceBlendBuilder::SetTolerance ( double  tolerance)

Sets the tolerance for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
tolerancetolerance
void NXOpen::Features::FaceBlendBuilder::SetTrimInputFacesToBlendFaces ( bool  trimInputFacesToBlendFaces)

Sets the option for Trim Input Faces to Blend Faces.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
trimInputFacesToBlendFacestrim input faces to blend faces
void NXOpen::Features::FaceBlendBuilder::SetTrimLongInputFacesToExtendedRail ( bool  trimLongInputFacesToExtendedRail)

Sets the option for Trim Long Input Faces to Extended Rail.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
trimLongInputFacesToExtendedRailtrimlonginputfacestoextendedrail
void NXOpen::Features::FaceBlendBuilder::SetTrimmingOption ( NXOpen::Features::FaceBlendBuilder::TrimmingMethod  trimmingOption)

Sets the trimming option for face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
trimmingOptiontrimming option
void NXOpen::Features::FaceBlendBuilder::SetUseLimitsListFlag ( bool  useLimitsListFlag)

Sets the trimming option that if it is using limits list to do trim or not.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
useLimitsListFlaguse limits list flag
bool NXOpen::Features::FaceBlendBuilder::SewAllFaces ( )

Returns the sew option for face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::FaceBlendBuilder::Spine ( )

Returns the spine for face blend.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::StartCapLimitPlaneOption ( )

Returns the start limit plane capping option
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::FaceBlendBuilder::StartLimitFaceNormalFlag ( )

Returns the start limiting face normal flag
Created in NX5.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::StartLimitFacesetCollector ( )

Returns the start limit faceset collector.


Created in NX5.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::FaceBlendBuilder::StartLimitPoint ( )

Returns the start limit point
Created in NX5.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::FaceBlendBuilder::TangencyCollector ( )

Returns the tangency collector of edges or/and curves for face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::ISurface* NXOpen::Features::FaceBlendBuilder::TangentSurface ( )

Returns the tangency object for face blend.


Created in NX4.0.0.

License requirements : None

double NXOpen::Features::FaceBlendBuilder::ThirdFaceEndParameter ( )

Returns the end paramater or 'to' range for the third face with a three-face blend.


Created in NX4.0.0.

License requirements : None

double NXOpen::Features::FaceBlendBuilder::ThirdFaceStartParameter ( )

Returns the start parameter or 'from' range for the third face with a three-face blend.


Created in NX4.0.0.

License requirements : None

double NXOpen::Features::FaceBlendBuilder::Tolerance ( )

Returns the tolerance for face blend.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::TrimInputFacesToBlendFaces ( )

Returns the option for Trim Input Faces to Blend Faces.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::FaceBlendBuilder::TrimLongInputFacesToExtendedRail ( )

Returns the option for Trim Long Input Faces to Extended Rail.


Created in NX10.0.0.

License requirements : None

NXOpen::Features::FaceBlendBuilder::TrimmingMethod NXOpen::Features::FaceBlendBuilder::TrimmingOption ( )

Returns the trimming option for face blend.


Created in NX4.0.0.

License requirements : None

void NXOpen::Features::FaceBlendBuilder::UpdateConstantLawProfiles ( )

Updates all the constant law parms in the builder using builder section.

This call must be made every time the section is updated.
Created in NX5.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::Features::FaceBlendBuilder::UseLimitsListFlag ( )

Returns the trimming option that if it is using limits list to do trim or not.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.